%define major 0
%define libname %mklibname %{name} %{major}
%define libname_orig %mklibname %name

Name: proj
Version: 4.6.0
Release: %mkrel 2
Summary: Cartographic projection software
Source0: ftp://ftp.remotesensing.org/pub/proj/%{name}-%{version}.tar.gz
Source1: ftp://ftp.remotesensing.org/pub/proj/proj-datumgrid-1.3.tar.gz
License: MIT
URL: http://trac.osgeo.org/proj/
Group: Sciences/Geosciences
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Cartographic projection software and libraries.

%files
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_datadir}/proj

#-------------------------------------------------------------------------

%package -n %{libname}
Summary: Cartographic projection software - Libraries
Group: System/Libraries
License: MIT

%description -n %{libname}
Cartographic projection software and libraries.

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr (-,root,root)
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

#-------------------------------------------------------------------------

%package -n %{libname}-devel
Summary: Cartographic projection software - Development files
Group: Development/Other
License: MIT
Provides: %{libname_orig}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Obsoletes: %{libname_orig}-devel
Requires: %{libname} = %{version}-%{release}

%description -n %{libname}-devel
Cartographic projection development files.

%files -n %{libname}-devel
%defattr (-,root,root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.la

#-------------------------------------------------------------------------

%package -n %{libname}-static-devel
Summary: Cartographic projection software - Development files
Group: Development/Other
License: MIT
Provides: %{libname_orig}-static-devel = %{version}-%{release}
Provides: lib%{libname_orig}-static-devel = %{version}-%{release}
Obsoletes: %{libname_orig}-static-devel
Requires: %{libname} = %version-%release

%description -n %{libname}-static-devel
Cartographic projection development files (static).

%files -n %{libname}-static-devel
%defattr (-,root,root)
%{_libdir}/*.a

#-------------------------------------------------------------------------

%prep
rm -rf %buildroot

%setup -D -q
tar xfz %{SOURCE1} -C nad

%configure

%build
%make

%install
%makeinstall

%clean
rm -rf %buildroot  




%changelog
* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 4.6.0-2mdv2009.0
+ Revision: 233005
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 30 2007 Emmanuel Andry <eandry@mandriva.org> 4.6.0-1mdv2008.1
+ Revision: 139563
- New version
- add major version check

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 09 2007 Helio Chissini de Castro <helio@mandriva.com> 4.5.0-1mdv2008.0
+ Revision: 25643
- New upstream version 4.5.0
- Removed nad27, as already integrated on datum ( as mentioned in proj main page )


* Tue Jan 03 2006 Oden Eriksson <oeriksson@mandriva.com> 4.4.9-2mdk
- fix deps

* Tue Mar 15 2005 Buchan Milne <bgmilne@linux-mandrake.com> 4.4.9-1mdk
- new version
- use mkrel
- fix source url

* Sun Jun 20 2004 Buchan Milne <bgmilne@linux-mandrake.com> 4.4.8-1mdk
- 4.4.8
- improve provides and lib naming issues

* Tue Feb 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.4.7-2mdk
- DIRM fix

* Sun Jun 15 2003 Buchan Milne <bgmilne@linux-mandrake.com> 4.4.7-1mdk
- 4.4.7
- Update nad files and give it a url too so it can be found easily ...
- Provide version in virtual -devel provides
- seperate -static-devel package

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 4.4.5-2mdk
- add missing files

* Tue Feb 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.4.5-1mdk
- 4.4.5

* Mon Aug 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.4.3-1mdk
- updated to 4.4.3

* Wed Apr 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.4.2-3mdk 
- fixes from Laurent Grawet <laurent.grawet@ibelgique.com> :
	- static libraries

* Thu Jan 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.4.2-2mdk
- rebuild
- apply library policy

* Mon Nov 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.4.2-1mdk
- new in contribs
- used srpm from Franck Martin <franck@sopac.org>

